# class Puma::ThreadPool::Reaper

### Public Class Methods

new(pool, timeout) click to toggle source

    # File lib/puma/thread_pool.rb, line 232
    def initialize(pool, timeout)
      @pool = pool
      @timeout = timeout
      @running = false
    end

### Public Instance Methods

start!() click to toggle source

    # File lib/puma/thread_pool.rb, line 238
    def start!
      @running = true

      @thread = Thread.new do
        while @running
          @pool.reap
          sleep @timeout
        end
      end
    end

stop() click to toggle source

    # File lib/puma/thread_pool.rb, line 249
    def stop
      @running = false
      @thread.wakeup
    end